﻿@model ImageGalleryItem
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel1" class="text-center"></h3>
</div>

@using (Ajax.BeginForm("CreateAlbumItem", "ImageGallery", new { @clubDomain = ViewBag.clubDomain }, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { @role = "form", @class = "pull-left" }))
{
    <div class="modal-body">
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)
        <p id="AddNewGalleryItem"></p>
       @* @if (Model.CoachViewMode == ViewMode.View)
        {
            <div class="pull-right modal-coach-photo">
                @if (string.IsNullOrEmpty(@Model.ImageName))
                {
                    @Html.Image(Constants.CoachAvatar_Name, Model.Domain, "100", "100", "club-header-info-thumnail")
                }
                else
                {
                    @Html.CoachAvatarLarge(@Model.ClubDomain, @Model.Domain, @Model.ImageName, @Model.SportCategory)
                }
            </div>    
        }*@
        <div class="form-group pull-left ">
            @Html.LabelFor(model => model.Title, new { @class = "input-xlarge" })
            @Html.EditorFor(model => model.Title)
            @Html.ValidationMessageFor(model => model.Title)
        </div>
        <div class="form-group pull-left disable-view">
            @Html.LabelFor(model => model.Description, new { @class = "input-xlarge" })
            @Html.EditorFor(model => model.Description)
            @Html.ValidationMessageFor(model => model.Description)
        </div>

    </div>
       
    <div class="modal-footer text-center">
      
                <input type="submit" class="btn btn-info loading" data-loading-text="Saving..." value="@Html.Raw("Create") " id="CreateImageGalleryItem"/>

     
    </div>


}

<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
@*<script type="text/javascript">

    var msg = $("#AddNewCoachMessage");
    function AjaxSuccess(data, status) {
        switch (data.Status) {

            case "Success":
                {

                    var $target = $("#mainPopUp");
                    $target.removeClass($target.attr("data-class"));
                    $target.attr("data-class", "changelogo");
                    $target.addClass('changelogo');

                    $target.html("<div style='width:100%; padding:20px 0px; text-align: center;'><img src='/Images/loading-small.gif' /><span style='margin-left:20px; font-size:18px;'>Loading...</span></div>");
                    $target.load("@Url.Action("UploadImage", "Coach", new { clubDomain = Model.ClubDomain })" + "&imageName=" + data.imageName + "&domain=" + data.domain, function (data, status, xhr) {
                        //$("form", this).validate({ onkeyup: false });
                    });
                    break;
                }
            case "Erorr":
                {
                    var msg = $("#AddNewCoachMessage");
                    msg.html(data.Message);
                }
                break;
        }
    }


    function AjaxFailure() {

        msg.html("Error in establish connection with server.");


    }
</script>*@
